#
# spec file for package rosa-media-player
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   rosamp
Name:           rosa-media-player
Version:        1.6.11
Release:        pm152.3.2
Summary:        ROSA GUI frontend for MPlayer
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            https://abf.rosalinux.ru/uxteam/rosa-media-player-devel
Source:         https://abf.rosalinux.ru/uxteam/%{name}-devel/archive/%{name}-devel-v%{version}.tar.gz
# PATCH-FIX-OPENSUSE rosa-media-player-makeflags.patch
Patch0:         %{name}-makeflags.patch
# PATCH-FIX-UPSTREAM rosa-media-player-fix-no-return.patch
Patch1:         %{name}-fix-no-return.patch
# PATCH-FEATURE-OPENSUSE rosa-media-player-default-pulse.patch -- Use PulseAudio by default.
Patch2:         %{name}-default-pulse.patch
# PATCH-FIX-OPENSUSE rosa-media-player-simple-resize.patch
Patch3:         %{name}-simple-resize.patch
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqjson-devel
BuildRequires:  libqt4-devel
BuildRequires:  update-desktop-files
Requires:       MPlayer >= 1.0rc1
Requires:       ffmpeg
Requires:       wget
Requires:       xdg-utils
Recommends:     %{name}-lang
BuildRequires:  kf5-filesystem

%description
Multimedia player that supports most of audio and video formats.

%lang_package

%prep
%setup -q -n %{name}-devel-v%{version}
%patch0
%patch1
%patch2
%patch3

%build
pushd %{name}
./get_romp_version.sh %{version} 1
make \
  MAKEFLAGS="%{?_smp_mflags}" \
  PREFIX=%{_prefix}           \
  CFLAGS="%{optflags}"        \
  CXXFLAGS="%{optflags}"      \
  no-midi-support
popd

%install
%make_install -C %{name} \
  PREFIX=%{_prefix}            \
  DOC_PATH=%{_docdir}/%{name}
rm -rf %{buildroot}%{_docdir}/%{name}/*

mkdir -p %{buildroot}%{_kf5_appsdir}/
mv -f %{buildroot}%{_datadir}/apps/solid/ %{buildroot}%{_kf5_appsdir}/solid/

%find_lang %{_name} --with-qt

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc %{name}/Copying.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%exclude %{_datadir}/%{name}/translations/
%dir %{_kf5_appsdir}/solid/
%dir %{_kf5_appsdir}/solid/actions/
%{_kf5_appsdir}/solid/actions/Open-with-ROMP.desktop
%{_datadir}/applications/*.desktop
%dir %{_datadir}/icons/hicolor/*/
%dir %{_datadir}/icons/hicolor/*/apps/
%{_datadir}/icons/hicolor/*/apps/%{_name}.*

%files lang -f rosamp.lang
%defattr(-,root,root)
%dir %{_datadir}/%{name}/translations/

%changelog
* Fri Oct  9 2015 sor.alexei@meowr.ru
- Initial package.
